Bug 1864 - bsddb3 не пересобирается
: bsddb3 не пересобирается
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/bsddb3)
: unstable
: all Linux
: P5 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2003-01-09 10:36 by
Modified: 2009-05-10 09:31 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-01-09 10:36:29
Не прописаны build requires:
+ cd bsddb3-3.4.0
+ env \'CFLAGS=-pipe -Wall -O2 -fexpensive-optimizations -march=i586 -mcpu=i686\' python setup.py build
env: python: No such file or directory
error: Bad exit status from /var/tmp/rpm-tmp.63002 (%build)

---

---

------- Comment #1 From 2003-09-10 21:37:12 -------
Пакет не пересобирается (bsddb3-3.4.0-alt2)

building 'bsddb3._db' extension
src/_db.c: In function `makeDBError':
src/_db.c:400: `DB_INCOMPLETE' undeclared (first use in this function)
src/_db.c:400: (Each undeclared identifier is reported only once
src/_db.c:400: for each function it appears in.)
src/_db.c: In function `DB_associate':
src/_db.c:1018: warning: passing arg 2 of pointer to function from incompatible
pointer type
src/_db.c:1018: warning: passing arg 3 of pointer to function from incompatible
pointer type
src/_db.c:1018: warning: passing arg 4 of pointer to function makes pointer from
integer without a cast
src/_db.c:1018: too few arguments to function
src/_db.c: In function `DB_open':
src/_db.c:1488: warning: passing arg 2 of pointer to function from incompatible
pointer type
src/_db.c:1488: warning: passing arg 4 of pointer to function makes pointer from
integer without a cast
src/_db.c:1488: too few arguments to function
src/_db.c: In function `DB_stat':
src/_db.c:1841: structure has no member named `hash_nelem'
src/_db.c: In function `DBEnv_lock_stat':
src/_db.c:3327: structure has no member named `st_lastid'
src/_db.c: In function `init_db':
src/_db.c:4104: `DB_CHECKPOINT' undeclared (first use in this function)
src/_db.c:4112: `DB_CURLSN' undeclared (first use in this function)
src/_db.c:4152: `DB_INCOMPLETE' undeclared (first use in this function)
creating build/temp.linux-i686-2.2
gcc -DNDEBUG -pipe -Wall -O2 -fexpensive-optimizations -march=i586 -mcpu=i686
-fPIC -DPIC -D_GNU_SOURCE -fPIC -
I/usr/include -I/usr/include/python2.2 -c src/_db.c -o
build/temp.linux-i686-2.2/_db.o -pipe -Wall -O2 -march=i
586 -mcpu=i686
error: command 'gcc' failed with exit status 1
error: Bad exit status from /usr/src/RPM/tmp/rpm-tmp.8838 (%build)
------- Comment #2 From 2004-03-19 17:59:19 -------
Ошибка исправлена, можно закрывать.
------- Comment #3 From 2004-03-20 00:30:21 -------
Fixed in bsddb3-4.2.4-alt1 some time ago.